import { QuarkElement, Ref } from 'quarkc';
export default class ImageCropperResize extends QuarkElement {
    src: any;
    rect: string;
    matrix: string;
    width: number;
    height: number;
    isCropper: boolean;
    get data(): {
        width: number;
        height: number;
        rect: string;
        matrix: string;
        src: any;
    };
    imageResizeRef: Ref<any>;
    imageCropperRef: Ref<any>;
    toggleCropper: () => void;
    openCropper: () => void;
    closeCropper: () => void;
    componentDidUpdate(propName: string, oldValue: any, newValue: any): void;
    componentWillUnmount(): void;
    handleCropperConfirm: (e: any) => void;
    handleResizeConfirm: (e: any) => void;
    render(): any;
}
